de.dhbwstuttgart.typeinference

## Class JavaCodeResult

- java.lang.Object
- - de.dhbwstuttgart.typeinference.JavaCodeResult

-     public class JavaCodeResult
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.lang.String` | `javaCode`
    `private Menge<TypePlaceholder>` | `unresolvedTPHs`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JavaCodeResult()`
    `JavaCodeResult(java.lang.String javaCode)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addUnresolvedTPH(TypePlaceholder typePlaceholder)`
    `JavaCodeResult` | `attach(JavaCodeResult javaCodeResult)`
    `JavaCodeResult` | `attach(java.lang.String javaCode)`
    `boolean` | `equals(java.lang.Object obj)`
    `java.lang.String` | `getJavaCode()`
    `Menge<TypePlaceholder>` | `getUnresolvedTPH()` Liefert alle TPHs, welche in diesem JavaCodeResult nicht zu einem Typ aufgelÃ¶st wurden.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### javaCode

          private java.lang.String javaCode

    - #### unresolvedTPHs

          private Menge<TypePlaceholder> unresolvedTPHs

  - ### Constructor Detail

    - #### JavaCodeResult

          public JavaCodeResult()

    - #### JavaCodeResult

          public JavaCodeResult(java.lang.String javaCode)

  - ### Method Detail

    - #### getJavaCode

          public java.lang.String getJavaCode()

    - #### attach

          public JavaCodeResult attach(JavaCodeResult javaCodeResult)

    - #### attach

          public JavaCodeResult attach(java.lang.String javaCode)

    - #### addUnresolvedTPH

          public void addUnresolvedTPH(TypePlaceholder typePlaceholder)

    - #### getUnresolvedTPH

          public Menge<TypePlaceholder> getUnresolvedTPH()

      Liefert alle TPHs, welche in diesem JavaCodeResult nicht zu einem Typ aufgelÃ¶st wurden. Diese TPHs stehen dadurch im JavaCode als Variablennamen ohne zugeordnetem Typ.
      Returns:

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`